From 27c0e0527f61b6fa819920a06c0586d12f1b03ed Mon Sep 17 00:00:00 2001
From: Paper Mountain Studio <kodycze@gmail.com>
Date: Wed, 17 Jul 2019 19:27:57 +0200
Subject: [PATCH] yad: update to 1.0

---
 srcpkgs/yad/patches/fix-musl.patch | 13 -------------
 srcpkgs/yad/template               |  9 +++++----
 2 files changed, 5 insertions(+), 17 deletions(-)
 delete mode 100644 srcpkgs/yad/patches/fix-musl.patch

diff --git a/srcpkgs/yad/patches/fix-musl.patch b/srcpkgs/yad/patches/fix-musl.patch
deleted file mode 100644
index 345c1f8ca59..00000000000
--- a/srcpkgs/yad/patches/fix-musl.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff --git src/pfd.c src/pfd.c
-index 4f6e6fb..1d817d1 100644
---- src/pfd.c
-+++ src/pfd.c
-@@ -22,6 +22,7 @@
- #include <glib.h>
- #include <glib/gi18n.h>
- #include <pango/pango.h>
-+#include <locale.h>
- 
- typedef enum {
-   PANGO_SPEC,
-
diff --git a/srcpkgs/yad/template b/srcpkgs/yad/template
index 57f13327c21..e13b35cc84e 100644
--- a/srcpkgs/yad/template
+++ b/srcpkgs/yad/template
@@ -1,17 +1,17 @@
 # Template file for 'yad'
 pkgname=yad
-version=0.42.0
+version=1.0
 revision=1
 build_style=gnu-configure
 configure_args="--enable-icon-browser"
 hostmakedepends="automake gettext-devel glib-devel intltool pkg-config"
-makedepends="gtk+-devel"
+makedepends="gtk+3-devel"
 short_desc="Yet Another Dialog"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://github.com/v1cont/yad"
-distfiles="https://github.com/v1cont/yad/archive/v${version}.tar.gz"
-checksum=f2d2e54d3ad4c27eda0f92623fab93059ae95a3dd52fd32b007d3a1adc2cad91
+distfiles="https://github.com/v1cont/yad/archive/${version}.tar.gz"
+checksum=2e799ac8b37f3f6087a608c7eae9abd6ba57f3b87fe183c8d8c588100303057d
 
 pre_configure() {
 	autoreconf -ivf
@@ -22,4 +22,5 @@ post_install() {
 	# Avoid conflict with disputils
 	mv "${DESTDIR}"/usr/bin/{,yad-}pfd
 	mv "${DESTDIR}"/usr/share/man/man1/{,yad-}pfd.1
+	vlicense COPYING
 }
